torch.random
===================================

.. currentmodule:: torch.random

.. automodule:: torch.random
   :members:

Random Number Generator
-------------------------
.. FIXME: We're missing torch.random.cuda docs.
   https://github.com/pytorch/pytorch/issues/27778

.. autofunction:: get_rng_state
.. autofunction:: set_rng_state
.. autofunction:: manual_seed
.. autofunction:: seed
.. autofunction:: initial_seed
.. autofunction:: fork_rng

